'use strict';

var should = require('chai').should();
var machinecore = require('../');

describe('Library', function() {
  it('should export primatives', function() {
    should.exist(machinecore.crypto);
    should.exist(machinecore.encoding);
    should.exist(machinecore.util);
    should.exist(machinecore.errors);
    should.exist(machinecore.Address);
    should.exist(machinecore.Block);
    should.exist(machinecore.MerkleBlock);
    should.exist(machinecore.BlockHeader);
    should.exist(machinecore.HDPrivateKey);
    should.exist(machinecore.HDPublicKey);
    should.exist(machinecore.Networks);
    should.exist(machinecore.Opcode);
    should.exist(machinecore.PrivateKey);
    should.exist(machinecore.PublicKey);
    should.exist(machinecore.Script);
    should.exist(machinecore.Transaction);
    should.exist(machinecore.URI);
    should.exist(machinecore.Unit);
  });
});
